info.bioinfweb.jphyloio.formats.xml.elementreaders

## Class XMLElementReaderKey

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.xml.elementreaders.XMLElementReaderKey

-     public class XMLElementReaderKey
      extends java.lang.Object

  This class is used by `AbstractXMLEventReader`s as a key to store element readers in a map. This map can then be used to obtain the correct element reader to process an encountered XML event.
  Author:
    Sarah Wiechers
  See Also:
    `AbstractXMLEventReader`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLElementReaderKey(javax.xml.namespace.QName parentTag, javax.xml.namespace.QName tagName, int xmlEventType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `javax.xml.namespace.QName` | `getParentTag()`
    `javax.xml.namespace.QName` | `getTagName()`
    `int` | `getXmlEventType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLElementReaderKey

          public XMLElementReaderKey(javax.xml.namespace.QName parentTag,
                                     javax.xml.namespace.QName tagName,
                                     int xmlEventType)

  - ### Method Detail

    - #### getParentTag

          public javax.xml.namespace.QName getParentTag()

    - #### getTagName

          public javax.xml.namespace.QName getTagName()

    - #### getXmlEventType

          public int getXmlEventType()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`